Update API Key
curl --request PUT \
--url https://use.hoop.dev/api/api-keys/{nameOrID} \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
"engineering",
"platform"
],
"name": "payments-automation"
}
'import requests
url = "https://use.hoop.dev/api/api-keys/{nameOrID}"
payload = {
"groups": ["engineering", "platform"],
"name": "payments-automation"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({groups: ['engineering', 'platform'], name: 'payments-automation'})
};
fetch('https://use.hoop.dev/api/api-keys/{nameOrID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"created_by": "<string>",
"deactivated_at": "<string>",
"deactivated_by": "<string>",
"groups": [
"engineering"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_used_at": "<string>",
"masked_key": "hpk_1nzb***************************************",
"name": "ai-agent",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}API Keys
Update API Key
Update an API key’s name and/or groups. Works for both active and revoked keys.
PUT
/
api-keys
/
{nameOrID}
Update API Key
Path Parameters
Name or UUID of the API key
Body
application/json
The request body resource
Response
OK
Creation timestamp
Subject of the admin who created this key
Revocation timestamp
Subject of the admin who revoked this key
Groups assigned to this API key
Example:
["engineering"]
Unique identifier
Timestamp of last usage
Masked version of the API key for identification
Example:
"hpk_1nzb***************************************"
Human-readable name
Example:
"ai-agent"
Organization ID
Current status of the API key
Available options:
active, revoked Was this page helpful?
⌘I